Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 245254 - Provide an "Edit configuration" option under the "Team" menu which opens the .git/config file in the NetBeans editor
Provide an "Edit configuration" option under the "Team" menu which opens the ...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-26 10:44 UTC by terje7601
Modified: 2014-07-01 02:41 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description terje7601 2014-06-26 10:44:10 UTC
As far as i know, currently there's no quick way to open the .git/config file inside the NetBeans editor. By default the ".git" directory is hidden, so you can't use the "Files" view.

Note: for Mercurial repositories, this option should likewise open the .hg/hgrc file. Should I file a separate enhancement request for this?
Comment 1 Ondrej Vrabec 2014-06-26 11:22:54 UTC
> Note: for Mercurial repositories, this option should likewise open the .hg/hgrc file. Should I file a separate enhancement request for this?
Yes, please.
Comment 2 Ondrej Vrabec 2014-06-26 14:34:48 UTC
i added the action opening the config file. At the moment it's not in the menu yet, but you can set a keyboard shortcut in Tools -> Options -> Keymap [Git>Open Configuration].
I'll need to think where to put it in the menu. There's currently no submenu i could add it into, maybe merge it with Repository Browser into a common submenu "Local Repository". I don't know.

fix: http://hg.netbeans.org/core-main/rev/ad53688cc71b
Comment 3 Quality Engineering 2014-06-27 02:28:55 UTC
Integrated into 'main-silver', will be available in build *201406270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ad53688cc71b
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #245254 - Provide an "Edit configuration" option under the "Team" menu which opens the .git/config file in the NetBeans editor
create an action opening the gitconfig file.
Comment 4 Ondrej Vrabec 2014-06-30 08:12:21 UTC
fix: http://hg.netbeans.org/core-main/rev/33d3d9c262f3
Comment 5 Quality Engineering 2014-07-01 02:41:05 UTC
Integrated into 'main-silver', will be available in build *201407010002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/33d3d9c262f3
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #245254 - Provide an "Edit configuration" option under the "Team" menu which opens the .git/config file in the NetBeans editor
adding the action to the menus: Git -> Repository -> Open Configuration


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo